## ros-noetic-geneus 3.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(geneus)
find_package(catkin REQUIRED COMPONENTS genmsg)

catkin_package(
  CATKIN_DEPENDS genmsg
  CFG_EXTRAS geneus-extras.cmake
)

add_subdirectory(scripts)

file(WRITE ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/geneus "EusLisp")
install(FILES ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/geneus
  DESTINATION ${GENMSG_LANGS_DESTINATION})

# drop marker file to prevent rospack from spending time on crawling this folder
file(WRITE ${CATKIN_DEVEL_PREFIX}/share/roseus/rospack_nosubdirs "")
install(FILES ${CATKIN_DEVEL_PREFIX}/share/roseus/rospack_nosubdirs
  DESTINATION share/roseus)

catkin_python_setup()

=== debian/changelog ===
ros-noetic-geneus (3.0.0-1buster) buster; urgency=high

  * **CAUTION** This version will not work on 14.04, If you want to run on 14.04 due to bump CMake version to avoid CMP0048 warning
    Use cmake_minimum_required(VERSION 2.8.3) for CMakeLists.txt
  * [generate.py] add feature to write const to string (#13 <https://github.com/jsk-ros-pkg/geneus/issues/13>)
  * update geneus for 20.04 / Noetic (#69 <https://github.com/jsk-ros-pkg/geneus/issues/69>)
    
      * from __future__ import print_function is required for python2
      * Python 3 suppoort. Generated using 2to3
      * Use setuptools instead of distutils
      * Make setup.py not executable
      * Drop trusty/indigo from CI
      * Bump CMake version to avoid CMP0048 warning
      * add test to run ubuntu/focal and debian/stable
      * run rosdep update with --incldue-eol-distros for indigo
    
  * fix bug of write_constants (#62 <https://github.com/jsk-ros-pkg/geneus/issues/52>)
    
      * add test to check #59 <https://github.com/jsk-ros-pkg/geneus/issues/59>
    
  * fix wrongly commited in #61 (#63 <https://github.com/jsk-ros-pkg/geneus/issues/63>)
    
      * .travis: catkin build needs to run with geneus first, befor compiling std_msgs
      * .travis.sh: fix script errors with ¥ == -> ¥
      * copy std_msgs repository for geneus test codes
      * .travis.sh: add comments
      * fix https://github.com/jsk-ros-pkg/geneus/pull/61/commits/ef9868e4e621297449e5931453fbe4582a542ca4
      * fix wrongly commited in #61
    
  * add test to check #56 case (#61 <https://github.com/jsk-ros-pkg/geneus/issues/61>)
    
      * generate.py change generator for field_type == bool
      * remove unnecessary (ros::load-ros-manifeset 'euslisp')
        [ WARN] [1547033310.743978735]: Calling (load-ros-manifest euslisp) for the package without msg/srv will be deprecated
        [ WARN] [1547033310.744036587]: ACTION REQUIRED
        [ WARN] [1547033310.744049863]:  Use (load-ros-{package,msg,srv} pkg) for the dependent packages with msg/srv
        [ WARN] [1547033310.744059431]:  See https://github.com/jsk-ros-pkg/jsk_robot/issues/823
      * add test to check #56 case
      * add test/test-geneus.test from roseus package
    
  * run test-geneus.test within geneus package (#60 <https://github.com/jsk-ros-pkg/geneus/issues/60>)
    
      * run rostest geneus test-geneus.test
      * move test/{test-geneus.test,test-geneus.l,test_geneus_send_msgs.py} from roseus package
    
  * add melodic test (#58 <https://github.com/jsk-ros-pkg/geneus/issues/58>)
    
      * install tzdata with non-interactive mode
      * add melodic
    
  * when array_len is nil, do not run dotimes..., see https://github.com/jsk-ros-pkg/jsk_roseus/issues/544 (#55 <https://github.com/jsk-ros-pkg/geneus/issues/55>)
  * add test kinetic on travis(#54 <https://github.com/jsk-ros-pkg/geneus/issues/54>)
    
      * pr2_controllers_msgs is not released on kinetic and that's ok for geneus test
    
  * need to use system python, with travis-python, we can not find python modeule install by ap (#53 <https://github.com/jsk-ros-pkg/geneus/issues/53>)
    https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/117
  * Contributors: Kei Okada, Markus Grimm, Shane Loretz, Taichi Higashide

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 27 Jan 2020 00:00:00 -0000

ros-noetic-geneus (2.2.6-1buster) buster; urgency=high

  * [geneus_main.py] suppress warning (#52 <https://github.com/jsk-ros-pkg/geneus/issues/52>)
    * [geneus_main.py] do not write timestamp that makes different md5
    * [geneus_main.py] write depends by alphabetical order in manifest.l
  * [.travis.yml] : add jade test  (#49 <https://github.com/jsk-ros-pkg/geneus/issues/49>)
    * .travis.yml: add BUILDER=catkin_make_isolated
    * .travis.yml: add indigo/jade and catkin_make/catkin test
  * [geneus_main.py]: add comment : 152683d depends on comment line (#44 <https://github.com/jsk-ros-pkg/geneus/issues/44>)
  * Contributors: Yuki Furuta, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 May 2017 00:00:00 -0000

ros-noetic-geneus (2.2.5-1buster) buster; urgency=high

  * add status badge to the README.md (#41 <https://github.com/jsk-ros-pkg/geneus/issues/41> )
  * .travis.yml: use before_script and script
  * .travis.yml: rosdep install with -q (quiet)
  * Use package.xml in workspace, not deb installed one (#42 <https://github.com/jsk-ros-pkg/geneus/issues/42> )
    
      * do not overwrite pkg_map
      * add test code to check #42 <https://github.com/jsk-ros-pkg/geneus/issues/42> isseus
      * geneus_main.py: fix THIS FILE IS AUTOMAATICALLY GENERATED... comment
      * use latest released code
    
  * use indiog/14.04 on travis test #40 <https://github.com/jsk-ros-pkg/geneus/issues/40>
    
      * add ppa:openrave/release
      * default-ri-test.launch ->default-ri-test.test
      * install default python, use language:generic
      * ros_comm message has been move to ros_comm_msgs
      * use indigo/14.04
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Nov 2015 00:00:00 -0000

ros-noetic-geneus (2.2.4-1buster) buster; urgency=high

  * [src/geneus/generate.py] bool array is list, not lisp-array
  * [src/geneus/generate.py] use list for time type object
  * src/geneus/generate.py fix for variable bool array case, https://github.com/jsk-ros-pkg/jsk_roseus/pull/330
  * [package.xml] Now doesn't depend on python-rospkg
  * Contributors: Kei Okada, Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 08 Jul 2015 00:00:00 -0000

ros-noetic-geneus (2.2.3-1buster) buster; urgency=high

  * [src/geneus/geneus_main.py] Call get_pkg_map if pkg_map is None
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 19 Jun 2015 00:00:00 -0000

ros-noetic-geneus (2.2.2-1buster) buster; urgency=high

  * [.travis.yml] add pr2eus test


=== debian/control ===
Source: ros-noetic-geneus
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin (>= 0.5.78), ros-noetic-genmsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-geneus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-genmsg
Description: EusLisp ROS message and service generators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-geneus//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
